@charset "utf-8";
/* CSS Document */
/*見出しの装飾--------*/
.sec_title {
  font-family: 'Marcellus', serif;
  color: #CF9039;
  font-size: 40px;
  letter-spacing: 0.1em;
  position: relative;
  margin-bottom: 40px;
}
.sec_title::after {
  content: attr(data-en);
  display: block;
  color: #4b2c14;
  font-size: 14px;
  font-family: "Shippori Gothic B2 Bold";
  position: absolute;
  top: 60px;
}
.sec_title::before {
  position: absolute;
  top: 10px;
  left: -5px;
  content: "";
  width: 10px;
  height: 10px;
  background-color: #CF9039;
  border-radius: 10px;
}
/*----------*/
/*ボタンの装飾-----*/
.link-btn {
  position: relative;
  display: flex;
  justify-content: space-around;
  align-items: center;
  max-width: 200px; /* ボタンの最大幅 */
  padding: 1em 2em;
  color: #452F21; /* 文字色 */
  transition: 0.3s ease-in-out;
  font-size: 18px;
	white-space: nowrap;
}
.link-btn::before, .link-btn::after {
  content: "";
  position: absolute;
  display: block;
  top: 50%;
}
.link-btn::after {
  left: 0;
  background: #EAA67C; /* 背景色 */
  z-index: 1;
  width: 80px;
  height: 80px;
  border-radius: 80px;
  transform: translateY(-50%);
  transition: all 0.5s;
}
.link-btn span {
  position: relative;
  transition: all 0.3s;
  z-index: 3;
}
/* マウスオーバーした際のデザイン */
.link-btn:hover span {
  color: #fff; /* 文字色 */
}
.link-btn:hover:before {
  left: 2rem;
}
.link-btn:hover:after {
  right: 0;
  width: calc(100% + 5em);
}
/*スクロールダウン------*/
.scrolldown {
  /*描画位置※位置は適宜調整してください*/
  position: absolute;
  bottom: 10px;
  right: 50%;
  /*マウスの動き1.6秒かけて動く永遠にループ*/
  animation: mousemove 1.6s ease-in-out infinite;
}
/*下からの距離が変化して上から下に動く*/
@keyframes mousemove {
  0% {
    bottom: 10px;
  }
  50% {
    bottom: 5px;
  }
  100% {
    bottom: 10px;
  }
}
/*Scrollテキストの描写*/
.scrolldown span {
  /*描画位置*/
  position: absolute;
  left: -15px;
  bottom: 80px;
  /*テキストの形状*/
  color: #eee;
  font-size: 0.7rem;
  letter-spacing: 0.05em;
}
/*マウスの中の線描写 */
.scrolldown span::after {
  content: "";
  /*描画位置*/
  position: absolute;
  top: 10px;
  left: 17px;
  /*線の形状*/
  width: 1px;
  height: 15px;
  background: #eee;
  /*線の動き1.4秒かけて動く。永遠にループ*/
  animation: mousepathmove 1.4s linear infinite;
  opacity: 0;
}
/*上からの距離・不透明度・高さが変化して上から下に流れる*/
@keyframes mousepathmove {
  0% {
    height: 0;
    top: 10px;
    opacity: 0;
  }
  50% {
    height: 15px;
    opacity: 1;
  }
  100% {
    height: 0;
    top: 30px;
    opacity: 0;
  }
}
/*マウスの描写 */
.scrolldown:before {
  content: "";
  /*描画位置*/
  position: absolute;
  bottom: 40px;
  left: -10px;
  /*マウスの形状*/
  width: 25px;
  height: 37px;
  border-radius: 10px;
  border: 1px solid #eee;
}
/*マウスの中の丸の描写*/
.scrolldown:after {
  content: "";
  /*描画位置*/
  position: absolute;
  bottom: 63px;
  left: 0;
  /*丸の形状*/
  width: 5px;
  height: 5px;
  border-radius: 50%;
  border: 1px solid #eee;
}
/*浮かび上がるアニメーション*/
.fadeUp {
  animation-name: fadeUpAnime;
  animation-duration: 0.8s;
  animation-fill-mode: forwards;
  opacity: 0;
}
@keyframes fadeUpAnime {
  from {
    opacity: 0;
    transform: translateY(100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
/* スクロールをしたら出現する要素にはじめに透過0を指定　*/
.fadeUpTrigger {
  opacity: 0;
}
/*FIRST-VIEW------*/
#first-visual {
  height: 100vh;
  background-image: url("../images/first-visual.jpg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  display: flex;
  align-items: center;
  justify-content: center;
}
#first-visual h1 {
  color: #fff;
  font-size: 48px;
  text-shadow: 1px 1px 8px #4b2c14;
}
/*CONCEPT------*/
#concept {
  margin: 100px auto 200px;
  width: 100%;
  max-width: 1440px;
  margin-left: auto;
}
.concept_inner {
  width: 100%;
  display: flex;
  align-items: flex-start;
}
.concept_text-area {
  width: 50%;
  margin-right: 60px;
  padding-top: 20px;
  padding-left: 4%;
}
.concept_inner img {
  flex: 1;
  margin-right: calc(50% - 50vw);
  width: 50%;
}
.concept_text-area h3 {
  font-size: clamp(32px, 4vw, 48px);
  margin: 40px 0;
}
.concept_textarea p {
  margin-bottom: 40px;
	text-align: justify;
}
.concept_text-area .btn-area {
  margin-top: 40px;
  display: flex;
  justify-content: flex-end;
}
#concept .link-btn::after{
	left: 0;
}
#concept .link-btn:hover:after{
	width: calc(100% - 6px);
}
/*MENU------*/
.menu_bg {
  background-color: #F4F0EA;
  padding-top: 80px;
  padding-bottom: 100px;

}
.menu_wave{
	width: 100%;
	aspect-ratio: 1920 / 110; 
	background: url("../images/menu_wave.svg") no-repeat;
	background-size: 100%;
	margin-bottom: -10px;
	
	
}
.menu_food-area {
  width: 100%;
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 4%;
}
.menu_title-area {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 auto;
}
#menu .menu_title-area .sec_title::after, #food .food_text-area .sec_title::after {
  left: 30px;
}
.menu_btn-area {
  display: flex;
  margin-bottom: 80px;
}
.menu-btn {
  background-color: #EAA67C;
  display: block;
  width: 200px;
  line-height: 60px;
  border-radius: 0.2rem;
  color: #fff;
  text-align: center;
  margin: 0 20px;
  letter-spacing: 0.1em;
  position: relative;
  transition: transform .2s;
  &:active {
    transform: scale(.95);
  }
}
.menu-btn::after {
  content: "";
  width: 10px;
  height: 10px;
  border-right: 2px solid #fff;
  border-top: 2px solid #fff;
  display: inline-block;
  transform: rotate(135deg);
  position: absolute;
  top: 40px;
  left: 95px;
}

#menu .link-btn::after{
	left: -45px;
}

#food .food_text-area {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.food_text-area p:nth-child(2) {
  margin-bottom: 40px;
}
.food_text-area p:nth-child(3) {
  text-align: center;
  margin-bottom: 80px;
}
.heading {
  font-size: 24px;
  color: #452F21;
  text-align: center;
  margin-bottom: 80px;
  align-items: center; /* 横線を上下中央 */
  display: flex; /* 文字と横線を横並び */
}
.heading::before, .heading::after {
  background-color: #cf9039;
  content: "";
  flex-grow: 1; /* 横幅いっぱい */
  height: 1px; /* 横線の高さ */
}
.heading::before {
  margin-right: 40px; /* 文字との余白 */
}
.heading::after {
  margin-left: 40px; /* 文字との余白 */
}
.food-list {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 60px;
  row-gap: 80px;
  justify-content: center;
}
.food-list-item img {
  border-radius: 5px;
  box-shadow: 0px -1px 15px -8px rgba(0, 0, 0, 0.8);
}
.food-list-item_title {
  font-size: 24px;
  margin-top: 20px;
  line-height: 1;
}
.food-list-item_price {
  margin-top: 10px;
}
.food-list-item_desc {
  margin-top: 20px;
  text-align: justify;
}
.setmenu-area {
  margin-top: 80px;
}
.setmenu-area .heading {
  margin-bottom: 80px;
}
.setmenu-list ul {
  max-width: 1030px;
  margin: 0 auto;
  display: flex;
}
.setmenu-list ul li {
  margin: 0 20px;
}
.setmenu_desc {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 40px;
}
.setmenu_desc p {
  text-align: center;
}
.setmenu_desc .btn-area {
  margin-top: 40px;
}
#drink {
  width: 100%;
  max-width: 1440px;
  margin: 200px auto 100px;
  padding: 0 4%;
}
.drink_text-area p:nth-child(2) {
  margin-bottom: 40px;
}
.drink_text-area p:nth-child(3) {
  margin-bottom: 80px;
}
.drink-list {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.drink-list-item {
  width: 47.91%;
}
.drink-list-item img {
  border-radius: 5px;
  box-shadow: 0px -1px 15px -8px rgba(0, 0, 0, 0.8);
}
.drink-list-item_title {
  font-size: 24px;
  margin-top: 20px;
  line-height: 1;
}
.drink-list-item_price {
  margin-top: 10px;
}
#drink .btn-area {
  margin-top: 80px;
  display: flex;
  justify-content: flex-end;
  padding-right: 40px;
}
#dessert {
  width: 100%;
  max-width: 1440px;
  margin: 0 auto 200px;
  padding-top: 80px;
  padding: 0 4%;
}
.dessert_text-area p:nth-child(2) {
  margin-bottom: 40px;
}
.dessert_text-area p:nth-child(3) {
  margin-bottom: 80px;
}
.dessert-list {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.dessert-list-item {
  width: 47.91%;
}
.dessert-list-item img {
  border-radius: 5px;
  box-shadow: 0px -1px 15px -8px rgba(0, 0, 0, 0.8);
}
.dessert-list-item_title {
  font-size: 24px;
  margin-top: 20px;
  line-height: 1;
}
.dessert-list-item_price {
  margin-top: 10px;
}
#dessert .btn-area {
  margin-top: 80px;
  display: flex;
  justify-content: flex-end;
  padding-right: 40px;
}
/*ONLINESHOP----*/
#onlineshop {
  background-image: url("../images/onlineshop-bg.jpg");
  background-color: rgba(0, 0, 0, 0.22);
  background-blend-mode: multiply;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  color: #fff;
  padding-top: 10%;
  padding-bottom: 10%;
}
.online-shop_inner {
  width: 100%;
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 4%;
  display: flex;
  flex-direction: column;
}
.online-shop_desc {
  display: flex;
  flex-direction: column;
  margin-left: auto;
}
.online-shop_inner h2 {
  font-size: 60px;
}
.online-shop_inner p {
  font-size: 24px;
  margin-top: 40px;
}
/*ONLINESHOPボタンの装飾‐‐‐‐‐‐*/
#onlineshop .btn-area {
  margin-top: 40px;
}
#onlineshop .link-btn {
  color: #fff;
}
#onlineshop .link-btn::after{
	left: 0;
}
#onlineshop .link-btn:hover span {
  color: #452f21;
}

#onlineshop .link-btn:hover:after{
	width: calc(100% + 10px);
}
/*NEWS------*/
#news {
  background-color: #f4f0ea;
  padding-top: 200px;
  padding-bottom: 200px;
}
.news_inner {
  background-color: #fff;
  width: 100%;
  max-width: 1440px;
  margin: 0 auto;
  padding: 80px 4%;
}
.news-list .news-item {
  display: flex;
  align-items: center;
  padding: 40px 0;
  border-top: solid 1px #452f21;
}
.news-list .news-item:nth-child(3) {
  border-bottom: solid 1px #452f21;
}
.news-item img {
  max-width: 344px;
  border-radius: 5px;
  margin-right: 40px;
}
.news-item_title {
  font-size: 24px;
}
.news_inner .btn-area {
  display: flex;
  justify-content: flex-end;
  padding-right: 40px;
}

#news .link-btn:hover:after{
	width: calc(100% + 10px);
}

/*ACCESS------*/
#access {
  margin-top: 200px;
  width: 90%;
  max-width: 1440px;
  margin-right: auto;
  margin-left: auto;
  padding: 0 4%;
}
iframe, .access-item img {
  display: block;
  width: 100%;
}
.access_inner {
  padding-top: 80px;
  padding-bottom: 80px;
  display: flex;
  align-items: flex-start;
}
.access-item {
  width: calc(100% / 3);
}
.access_inner div:first-child {
  margin-right: 40px;
}
iframe{
	aspect-ratio:1/1;
}
.access_content-area {
  margin-left: 40px;
}
.access_content-area h3 {
  font-size: 24px;
}
.access_desc dt {
  font-size: 14px;
}
.access_desc .block {
  margin-bottom: 20px;
}
#access .link-btn::after{
	width: 30px;
	height: 30px;
	border-radius: 30px;
}
/*モバイルのCSS‐‐‐‐‐‐*/
@media screen and (max-width: 768px) {
  .link-btn {
    font-size: 16px;
  }
  .link-btn::after {
    width: 60px;
    height: 60px;
    border-radius: 60px;
  }
  .sec_title {
    font-size: 34px;
  }
  .sec_title::before {
    width: 8px;
    height: 8px;
    border-radius: 8px;
  }
  #first-visual {
    background-image: url("../images/first-visual_sp.jpg");
    align-items: flex-end;
  }
  #first-visual h1 {
    font-size: 24px;
    padding-bottom: 140px;
  }
  /*CONCEPT------*/
  #concept {
    margin: 100px auto 100px;
  }
  .concept_inner {
    display: block;
  }
  .concept_text-area {
    width: 100%;
    margin-right: 0;
    padding: 0 4%;
    position: relative;
  }
  .concept_text-area h3 {
    font-size: 24px;
  }
  .concept_inner img {
    margin-right: 0;
    margin-top: 40px;
    width: 100%;
  }
  .menu_bg {
    background-color: #F4F0EA;
    padding-top: 40px;
    padding-bottom: 80px;
  }
  #menu .menu_title-area .sec_title::after, #food .food_text-area .sec_title::after {
    left: 18px;
  }
  .menu_btn-area {
    display: block;
  }
  .menu-btn {
    margin: 0 0 20px 0;
  }
  .menu-btn:last-child {
    margin-bottom: 0;
  }
  .food_text-area p:nth-child(2) {
    margin-bottom: 20px;
  }
  .food_text-area p:nth-child(3) {
    text-align: left;
  }
  .heading {
    font-size: 20px;
    margin-bottom: 40px;
  }
  .food-list {
    display: block;
  }
  .food-list-item {
    margin-bottom: 40px;
  }
  .food-list-item:last-child {
    margin-bottom: 0;
  }
  .food-list-item_title {
    font-size: 18px;
  }
  .setmenu-area {
    margin-top: 40px;
  }
  .setmenu-area .heading {
    margin-bottom: 40px;
  }
  .setmenu-list ul li {
    margin: 0 10px;
  }
  .setmenu_desc {
    margin-top: 20px;
  }
  .setmenu_desc p {
    text-align: justify;
  }
  .setmenu_desc:last-child {
    align-items: flex-end;
  }
  /*DRINK------*/
  #drink {
    margin: 100px auto 80px;
  }
  .drink_text-area p:nth-child(3) {
    margin-bottom: 40px;
  }
  .drink-list {
    display: block;
  }
  .drink-list-item {
    width: 100%;
    margin-bottom: 40px;
  }
  #drink .btn-area {
    padding-right: 0;
  }
  /*DESSERT------*/
  #dessert {
    margin-bottom: 100px;
  }
  .dessert_text-area p:nth-child(3) {
    margin-bottom: 40px;
  }
  .dessert-list {
    display: block;
  }
  .dessert-list-item {
    width: 100%;
    margin-bottom: 40px;
  }
  #dessert .btn-area {
    padding-right: 0;
  }
  /*ONLINE-SHOP------*/
  .online-shop_inner {
    display: block;
  }
  .online-shop_inner h2 {
    font-size: 30px;
  }
  .online-shop_inner p {
    font-size: 20px;
    margin-top: 20px;
  }
  #onlineshop .btn-area {
    margin-top: 20px;
  }
  /*NEWS------*/
  #news {
    padding-top: 100px;
    padding-bottom: 100px;
  }
  .news_inner {
    padding-top: 40px;
    padding-bottom: 40px;
  }
  .news-list .news-item {
    display: block;
    padding: 20px 0;
  }
  .news-item_desc {
    margin-top: 20px;
  }
  .news-item img {
    max-width: none;
	  width: 100%;
    margin-right: 0;
  }
  .news-item_title {
    font-size: 18px;
  }
  .news_inner .btn-area {
    padding-right: 0;
  }
  /*ACCESS------*/
  #access {
    width: 100%;
    margin: 100px 0 0 0;
  }
  .access_inner {
    padding-top: 40px;
    padding-bottom: 40px;
    display: block;
  }
  .access-item {
    width: 100%;
  }
	.access-item:first-child{
		margin-bottom: 40px;
	}
  
	iframe{
		width: 100%;
		aspect-ratio:1/1;
		margin-bottom: 40px;
	
	}
  .access_content-area {
    margin-left: 0;
  }
}